

FROM golang:1.12.5 as builder

WORKDIR /workspace
COPY go.mod go.mod
COPY go.sum go.sum
RUN go mod download

# Copy the go source
COPY main.go main.go
COPY cmd/ cmd/
COPY pkg/ pkg/

# Build
RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 GO111MODULE=on go build -a -o tf-r main.go

# Use distroless as minimal base image to package the jib binary
# Refer to https://github.com/GoogleContainerTools/distroless for more details
FROM registry.gitlab.com/sailr/opensource/tf-r:base

COPY --from=builder /workspace/tf-r .

EXPOSE 3030

CMD ["./tf-r"]
